Accounts
All operations require authentication.
List email accountsProduction
Returns the email accounts of the platform with their current state. Filter them by organizationId, organizationLabel, domainId, email or offer.
Path parameters
Platform ID
Query parameters
Filter by Domain identifier
Filter by email
Filter by offer
PROSTARTERFilter by organization identifier
Filter by organization label
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing account
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing account
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" } }]
Get an email accountProduction
Returns the email address, offer, slot, quota usage, contact information and detailed status of the email account, with its ongoing tasks.
Path parameters
Account ID
Platform ID
Response
Checksum hash in MD5 representation
Object representing account
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing account
Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ account/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}
Create an email accountProduction
Creates an email account from its email, password, offer and slotId. The domain must be ready and the slot must match the offer. Creation is asynchronous: follow resourceStatus and currentTasks.
Path parameters
Platform ID
Request body (required)
Target organization specification
Response
Checksum hash in MD5 representation
Object representing account
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing account
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ account \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}
Delete an email accountProduction
Deletes the email account. An account blocked for spam cannot be deleted.
Path parameters
Account ID
Platform ID
Response
Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ account/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"Update an email accountProduction
Updates the email address, password, names, contact information, visibility in the global address list (hideInGal) or quota limit of the email account. When set, checksum must match the current checksum of the account, otherwise the update is rejected.
Path parameters
Account ID
Platform ID
Request body (required)
Known checksum of the resource, allowing to prevent unwanted side effects
Target account specification
Response
Checksum hash in MD5 representation
Object representing account
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing account
Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ account/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}